Get task report
Get a specific task report.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The ID of the task.
Format
uuidtaskReportId*string
The ID of the task report.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "name": "string", "description": "string", "type": "string", "outputFormats": [ "string" ], "isIteration": true, "format": "string", "emailEmbedment": true, "emailAttachment": true, "isOpenFilePasswordProtected": true, "isWriteFilePasswordProtected": true, "imageQuality": "string", "iterationOptions": { "zipEmailFiles": true, "evaluateConditionForEachIteration": true, "recipientsVariable": "string" }, "filters": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "order": 0 } ], "conditions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isVerified": true } ], "storageServices": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileStorageServiceId": "ec26fc06-bcc1-4aad-941e-cddbc71126f5", "type": "string", "name": "string", "path": "string", "zipeFiles": true, "siteUrl": "string", "order": 0 } ], "hub": { "folderId": "5b6379a4-2a6c-4085-b184-45838a3b8e7e", "hubMaxFileOccurrences": 0 }, "fileStorage": { "fileStorageServiceId": "ec26fc06-bcc1-4aad-941e-cddbc71126f5", "path": "string" }, "separatorOptions": { "numberDecimalSeparator": "string", "numberGroupSeparator": "string" } }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}